#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,440,520,560,600,1240,1840,2160,2240,2280,2320,2480
 * N : 25,120,200,240,280,440,520,560,600,1240,1840,2160,2240,2280,2320,2480
 * NB : 2,20,8,8,48,40,52,40,72,40,40,40,40,72,48,56
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 160) (nb_) = 20; \
   else if ((n_) < 260) (nb_) = 8; \
   else if ((n_) < 360) (nb_) = 48; \
   else if ((n_) < 480) (nb_) = 40; \
   else if ((n_) < 540) (nb_) = 52; \
   else if ((n_) < 580) (nb_) = 40; \
   else if ((n_) < 920) (nb_) = 72; \
   else if ((n_) < 2260) (nb_) = 40; \
   else if ((n_) < 2300) (nb_) = 72; \
   else if ((n_) < 2400) (nb_) = 48; \
   else (nb_) = 56; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
