#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,200,240,280,360,760,1160,1240,1280,1320,1360,1440,1480,1520,1560
 * N : 25,160,200,240,280,360,760,1160,1240,1280,1320,1360,1440,1480,1520,1560
 * NB : 9,8,64,20,40,40,40,16,16,40,40,72,40,56,40,160
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 9; \
   else if ((n_) < 180) (nb_) = 8; \
   else if ((n_) < 220) (nb_) = 64; \
   else if ((n_) < 260) (nb_) = 20; \
   else if ((n_) < 960) (nb_) = 40; \
   else if ((n_) < 1260) (nb_) = 16; \
   else if ((n_) < 1340) (nb_) = 40; \
   else if ((n_) < 1400) (nb_) = 72; \
   else if ((n_) < 1460) (nb_) = 40; \
   else if ((n_) < 1500) (nb_) = 56; \
   else if ((n_) < 1540) (nb_) = 40; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
