#ifndef ATL_cGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,112,224,504,560,616,728,784,840,896,952,1008,1232,1344,1512,2016
 * N : 25,112,224,504,560,616,728,784,840,896,952,1008,1232,1344,1512,2016
 * NB : 3,8,8,12,16,20,16,60,56,60,112,112,112,112,120,120
 */
#define ATL_cGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 68) (nb_) = 3; \
   else if ((n_) < 364) (nb_) = 8; \
   else if ((n_) < 532) (nb_) = 12; \
   else if ((n_) < 588) (nb_) = 16; \
   else if ((n_) < 672) (nb_) = 20; \
   else if ((n_) < 756) (nb_) = 16; \
   else if ((n_) < 812) (nb_) = 60; \
   else if ((n_) < 868) (nb_) = 56; \
   else if ((n_) < 924) (nb_) = 60; \
   else if ((n_) < 1428) (nb_) = 112; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_cGetNB_geqrf */
